package com.sifang.modules.supply.order.request;


import com.sifang.modules.supply.order.entity.CrmSupplyMaterialDeliverOrder;
import com.sifang.modules.supply.order.entity.CrmSupplyMaterialDeliverOrderDetail;
import org.hibernate.validator.constraints.NotBlank;

import java.util.List;

public class OrderApproveReq {

    @NotBlank(message = "id不能为空!")
    private String id;

    private String content;

    private String taskId;

    private List<CrmSupplyMaterialDeliverOrderDetail> materials;

    private String pageFrom;  // pageFrom=edit  那么就是分配打回的 重新编辑

    private Integer sort;


    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getPageFrom() {
        return pageFrom;
    }

    public void setPageFrom(String pageFrom) {
        this.pageFrom = pageFrom;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public List<CrmSupplyMaterialDeliverOrderDetail> getMaterials() {
        return materials;
    }

    public void setMaterials(List<CrmSupplyMaterialDeliverOrderDetail> materials) {
        this.materials = materials;
    }
}
